Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::Base Class Reference

`#include <Base.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::Base:
[legend]

## Public Member Functions

ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Detailed Description

Definition at line 48 of file Base.h.

## Constructor & Destructor Documentation

## Base() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::Base::Base | ( |  | ) |

inline protected

Definition at line 51 of file Base.h.

Referenced by Base(), and operator=().

Here is the caller graph for this function:

## Base() [2/3]

Alembic::Abc::ALEMBIC_VERSION_NS::Base::Base | ( | ErrorHandler::Policy | iPolicy | ) |

inline explicit protected

Definition at line 53 of file Base.h.

## Base() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::Base::Base | ( | const Base & | iCopy | ) |

inline protected

Definition at line 56 of file Base.h.

References Base().

Here is the call graph for this function:

## Member Function Documentation

## getErrorHandler()

ErrorHandler & Alembic::Abc::ALEMBIC_VERSION_NS::Base::getErrorHandler | ( |  | ) | const

inline

Definition at line 76 of file Base.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< PROP_PTR >::IBasePropertyT(), Alembic::Abc::ALEMBIC_VERSION_NS::IObject::IObject(), Alembic::Abc::ALEMBIC_VERSION_NS::IObject::IObject(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchemaObject< ICollectionsSchema >::ISchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchemaObject< ICollectionsSchema >::ISchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< BooleanTPTraits >::ITypedArrayProperty(), Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >::ITypedScalarProperty(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< PROP_PTR >::OBasePropertyT(), Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject(), Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject(), and Alembic::Abc::ALEMBIC_VERSION_NS::OSchemaObject< SCHEMA >::OSchemaObject().

Here is the caller graph for this function:

## getErrorHandlerPolicy()

ErrorHandler::Policy Alembic::Abc::ALEMBIC_VERSION_NS::Base::getErrorHandlerPolicy | ( |  | ) | const

inline

Definition at line 81 of file Base.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ISchemaObject< ICollectionsSchema >::ISchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchemaObject< ICollectionsSchema >::ISchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy(), Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< PROP_PTR >::getObject(), and Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< PROP_PTR >::getObject().

Here is the caller graph for this function:

## operator=()

Base & Alembic::Abc::ALEMBIC_VERSION_NS::Base::operator= | ( | const Base & | iCopy | ) |

inline protected

Definition at line 59 of file Base.h.

References Base().

Here is the call graph for this function:

## reset()

void Alembic::Abc::ALEMBIC_VERSION_NS::Base::reset | ( |  | ) |

inline protected

Definition at line 70 of file Base.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::reset(), Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< PROP_PTR >::reset(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::reset(), Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::BasePropertyWriterPtr >::reset(), Alembic::Abc::ALEMBIC_VERSION_NS::OObject::reset(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::IXformSchema::reset(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::reset().

Here is the caller graph for this function:

## valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::Base::valid | ( |  | ) | const

inline protected

Definition at line 65 of file Base.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::valid(), Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< PROP_PTR >::valid(), Alembic::Abc::ALEMBIC_VERSION_NS::IObject::valid(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::valid(), Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::BasePropertyWriterPtr >::valid(), Alembic::Abc::ALEMBIC_VERSION_NS::OObject::valid(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::IXformSchema::valid(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::valid().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/Base.h